bidirectional {keras} | R Documentation

## Bidirectional wrapper for RNNs.

### Description

Bidirectional wrapper for RNNs.

### Usage

    bidirectional(object, layer, merge_mode = "concat", input_shape = NULL,
      batch_input_shape = NULL, batch_size = NULL, dtype = NULL,
      name = NULL, trainable = NULL, weights = NULL)

### Arguments

`object` | Model or layer object
`layer` | Recurrent instance.
`merge_mode` | Mode by which outputs of the forward and backward RNNs will be combined. One of 'sum', 'mul', 'concat', 'ave', NULL. If NULL, the outputs will not be combined, they will be returned as a list.
`input_shape` | Dimensionality of the input (integer) not including the samples axis. This argument is required when using this layer as the first layer in a model.
`batch_input_shape` | Shapes, including the batch size. For instance, `batch_input_shape=c(10, 32)` indicates that the expected input will be batches of 10 32-dimensional vectors. `batch_input_shape=list(NULL, 32)` indicates batches of an arbitrary number of 32-dimensional vectors.
`batch_size` | Fixed batch size for layer
`dtype` | The data type expected by the input, as a string (`float32`, `float64`, `int32`...)
`name` | An optional name string for the layer. Should be unique in a model (do not reuse the same name twice). It will be autogenerated if it isn't provided.
`trainable` | Whether the layer weights will be updated during training.
`weights` | Initial weights for layer.

### See Also

Other layer wrappers: `time_distributed`

[Package keras version 2.2.4 Index]